PyCharm 2020 :: pyspark installation issue

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

PyCharm 2020 :: pyspark installation issue

kanchan pradhan
Hi, 

Please help me to resolve the below issue is coming while installing pyspark in PyCharm 2020.

Collecting pyspark
  Using cached https://files.pythonhosted.org/packages/9a/5a/271c416c1c2185b6cb0151b29a91fff6fcaed80173c8584ff6d20e46b465/pyspark-2.4.5.tar.gz
    Complete output from command python setup.py egg_info:
    Could not import pypandoc - required to package PySpark
    C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\distutils\dist.py:261: UserWarning: Unknown distribution option: 'long_description_content_type'
      warnings.warn(msg)
    warning: build_py: byte-compiling is disabled, skipping.
   
    warning: install_lib: byte-compiling is disabled, skipping.
   
    zip_safe flag not set; analyzing archive contents...
   
    Installed c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs\pypandoc-1.5-py3.6.egg
    Searching for wheel>=0.25.0
    Reading https://pypi.python.org/simple/wheel/
    Downloading https://files.pythonhosted.org/packages/75/28/521c6dc7fef23a68368efefdcd682f5b3d1d58c2b90b06dc1d0b805b51ae/wheel-0.34.2.tar.gz#sha256=8788e9155fe14f54164c1b9eb0a319d98ef02c160725587ad60f14ddc57b6f96
    Best match: wheel 0.34.2
    Processing wheel-0.34.2.tar.gz
    Writing C:\Users\Home\AppData\Local\Temp\easy_install-ic8mrpy4\wheel-0.34.2\setup.cfg
    Running wheel-0.34.2\setup.py -q bdist_egg --dist-dir C:\Users\Home\AppData\Local\Temp\easy_install-ic8mrpy4\wheel-0.34.2\egg-dist-tmp-h_qsuflf
    warning: no files found matching '*.dynlib' under directory 'tests'
    no previously-included directories found matching 'tests\testdata\*\build'
    no previously-included directories found matching 'tests\testdata\*\dist'
    no previously-included directories found matching 'tests\testdata\*\*.egg-info'
    warning: install_lib: 'build\lib' does not exist -- no Python modules to install
   
    zip_safe flag not set; analyzing archive contents...
    Copying unknown-0.0.0-py3.6.egg to c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs
   
    Installed c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs\unknown-0.0.0-py3.6.egg
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\Home\AppData\Local\Temp\pycharm-packaging\pyspark\setup.py", line 224, in <module>
        'Programming Language :: Python :: Implementation :: PyPy']
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\distutils\core.py", line 108, in setup
        _setup_distribution = dist = klass(attrs)
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\setuptools\dist.py", line 315, in __init__
        self.fetch_build_eggs(attrs['setup_requires'])
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\setuptools\dist.py", line 361, in fetch_build_eggs
        replace_conflicting=True,
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pkg_resources\__init__.py", line 853, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'wheel>=0.25.0' distribution was not found and is required by pypandoc
   
    ----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in C:\Users\Home\AppData\Local\Temp\pycharm-packaging\pyspark\
You are using pip version 9.0.1, however version 20.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.
Reply | Threaded
Open this post in threaded view
|

Re: PyCharm 2020 :: pyspark installation issue

Chris Martin
Hi,

Try installing pypandoc first (“pip install pypandoc” or “pip3 install pypandoc” depending on how your python is set up). Then install pyspark.

Chris 

On 16 May 2020, at 07:25, kanchan pradhan <[hidden email]> wrote:


Hi, 

Please help me to resolve the below issue is coming while installing pyspark in PyCharm 2020.

Collecting pyspark
  Using cached https://files.pythonhosted.org/packages/9a/5a/271c416c1c2185b6cb0151b29a91fff6fcaed80173c8584ff6d20e46b465/pyspark-2.4.5.tar.gz
    Complete output from command python setup.py egg_info:
    Could not import pypandoc - required to package PySpark
    C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\distutils\dist.py:261: UserWarning: Unknown distribution option: 'long_description_content_type'
      warnings.warn(msg)
    warning: build_py: byte-compiling is disabled, skipping.
   
    warning: install_lib: byte-compiling is disabled, skipping.
   
    zip_safe flag not set; analyzing archive contents...
   
    Installed c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs\pypandoc-1.5-py3.6.egg
    Searching for wheel>=0.25.0
    Reading https://pypi.python.org/simple/wheel/
    Downloading https://files.pythonhosted.org/packages/75/28/521c6dc7fef23a68368efefdcd682f5b3d1d58c2b90b06dc1d0b805b51ae/wheel-0.34.2.tar.gz#sha256=8788e9155fe14f54164c1b9eb0a319d98ef02c160725587ad60f14ddc57b6f96
    Best match: wheel 0.34.2
    Processing wheel-0.34.2.tar.gz
    Writing C:\Users\Home\AppData\Local\Temp\easy_install-ic8mrpy4\wheel-0.34.2\setup.cfg
    Running wheel-0.34.2\setup.py -q bdist_egg --dist-dir C:\Users\Home\AppData\Local\Temp\easy_install-ic8mrpy4\wheel-0.34.2\egg-dist-tmp-h_qsuflf
    warning: no files found matching '*.dynlib' under directory 'tests'
    no previously-included directories found matching 'tests\testdata\*\build'
    no previously-included directories found matching 'tests\testdata\*\dist'
    no previously-included directories found matching 'tests\testdata\*\*.egg-info'
    warning: install_lib: 'build\lib' does not exist -- no Python modules to install
   
    zip_safe flag not set; analyzing archive contents...
    Copying unknown-0.0.0-py3.6.egg to c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs
   
    Installed c:\users\home\appdata\local\temp\pycharm-packaging\pyspark\.eggs\unknown-0.0.0-py3.6.egg
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\Home\AppData\Local\Temp\pycharm-packaging\pyspark\setup.py", line 224, in <module>
        'Programming Language :: Python :: Implementation :: PyPy']
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\distutils\core.py", line 108, in setup
        _setup_distribution = dist = klass(attrs)
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\setuptools\dist.py", line 315, in __init__
        self.fetch_build_eggs(attrs['setup_requires'])
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\setuptools\dist.py", line 361, in fetch_build_eggs
        replace_conflicting=True,
      File "C:\Users\Home\AppData\Local\Programs\Python\Python36-32\lib\site-packages\pkg_resources\__init__.py", line 853, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'wheel>=0.25.0' distribution was not found and is required by pypandoc
   
    ----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in C:\Users\Home\AppData\Local\Temp\pycharm-packaging\pyspark\
You are using pip version 9.0.1, however version 20.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.